C-----------------------------------------------------------------------------

      SUBROUTINE NPCURR   

C-----------------------------------------------------------------------------

C     DO-NOTHING CURRENT PERTURBATION MODEL   

C     COMMON DECK "UU" INSERTED HERE     

      implicit double precision (a-h,o-z)

      DOUBLE PRECISION MODU

      common/ww/ dum(10), maxw,w(1000)

      COMMON/UU/MODU(4)     

     1  ,V  ,PVT  ,PVR  ,PVTH  ,PVPH     

     2  ,VR ,PVRT ,PVRR ,PVRTH ,PVRPH    

     3  ,VTH,PVTHT,PVTHR,PVTHTH,PVTHPH   

     4  ,VPH,PVPHT,PVPHR,PVPHTH,PVPHPH   

C     DELTA WIND        125-149          

      INTEGER DUMX,DUNTBL,DUITBL,DUFRMTB,IDSDU(20)              

      COMMON/B2/DUMX,DUNTBL(10),DUITBL(10),DUFRMTB(10),DUGP(10) 

      EQUIVALENCE (DUGP,IDSDU)                                  

      INTEGER DXMX    ,DXNTBL(10),DXITBL(10),DXFRMTB(10)        

      DATA DXMX/1/           

      DATA DXNTBL/1,11,8*0/  

      DATA DXITBL/1,9*0/     

      DATA DXFRMTB/1,9*0/    

C                            

      ENTRY SETPWN           

      DUMX=DXMX              

      CALL IMOVE(DUNTBL,DXNTBL,10)  

      CALL IMOVE(DUITBL,DXITBL,10)  

      CALL IMOVE(DUFRMTB,DXFRMTB,10)

      RETURN                        

C                                   

      ENTRY IPWINDR                 

      IF(W(125) .NE. 0.) THEN

           PRINT*,' Model check number mismatch: '

           STOP ' W(125) should be 0 if you are using model NPCURR.'

      ENDIF



      MODU(3)=8HNPCURR      

      MODU(4)= w(127)

      RETURN                

C                           

      ENTRY PWINDR          

      RETURN                

      END                   

                            

 

